aboutsummaryrefslogtreecommitdiffstats
path: root/testing/aspcud/APKBUILD
diff options
context:
space:
mode:
authorAnil Madhavapeddy <anil@recoil.org>2016-12-01 16:15:46 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-12-01 16:52:58 +0000
commitec0b7d78216d54f1fae6da1991d632e9627ec7c1 (patch)
tree6ddf61d3c8803c1481a80d995e0757d3d009be00 /testing/aspcud/APKBUILD
parentd17499ddcd7601c9eb0d8a7381190adee1889a56 (diff)
downloadaports-ec0b7d78216d54f1fae6da1991d632e9627ec7c1.tar.gz
aports-ec0b7d78216d54f1fae6da1991d632e9627ec7c1.tar.bz2
aports-ec0b7d78216d54f1fae6da1991d632e9627ec7c1.tar.xz
testing/aspcud: new aport
Diffstat (limited to 'testing/aspcud/APKBUILD')
-rw-r--r--testing/aspcud/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/testing/aspcud/APKBUILD b/testing/aspcud/APKBUILD
new file mode 100644
index 0000000000..fd5381a14d
--- /dev/null
+++ b/testing/aspcud/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Anil Madhavapeddy <anil@recoil.org>
+# Maintainer: Anil Madhavapeddy <anil@recoil.org>
+pkgname=aspcud
+pkgver=1.9.1
+pkgrel=0
+pkgdesc="Package dependency solver"
+url="http://potassco.sourceforge.net/"
+arch="all"
+license="LGPL3"
+depends="boost gringo clasp"
+makedepends="boost-dev cmake re2c"
+install=""
+subpackages="$pkgname-doc"
+source="https://downloads.sourceforge.net/project/potassco/aspcud/${pkgver}/aspcud-${pkgver}-source.tar.gz"
+builddir="$srcdir"/$pkgname-$pkgver-source
+
+build() {
+ cd "$builddir"
+ mkdir build
+ cd build
+ cmake .. -DGRINGO_LOC=/usr/bin/gringo -DCLASP_LOC=/usr/bin/clasp -DCMAKE_INSTALL_PREFIX=/usr || return 1
+ make
+}
+
+package() {
+ cd "${builddir}/build"
+ make DESTDIR="${pkgdir}" install
+}
+
+md5sums="35304fecd1f832c74f028c06067db39d aspcud-1.9.1-source.tar.gz"
+sha256sums="e0e917a9a6c5ff080a411ff25d1174e0d4118bb6759c3fe976e2e3cca15e5827 aspcud-1.9.1-source.tar.gz"
+sha512sums="61519b19b8f3080079dcfcfa32e28dbd1ed29de0012ac9753f8be2c08a087a2f1a6778a6ec2bdc208ddfec5f1a07cef339b4358e51f1714129c9d219989837af aspcud-1.9.1-source.tar.gz"